```

BenchmarkDotNet v0.14.0, Windows 10 (10.0.20348.2762)
AMD EPYC 9R14, 1 CPU, 16 logical and 16 physical cores
.NET SDK 9.0.100-rc.2.24474.11
  [Host]     : .NET 9.0.0 (9.0.24.47305), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI
  Job-GRXFHJ : .NET 10.0.0 (42.42.42.42424), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI
  Job-ROCTGW : .NET 10.0.0 (42.42.42.42424), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI

OutlierMode=DontRemove  MemoryRandomization=True  

```
| Method   | Job        | Toolchain                   | value  | Mean      | Error     | Ratio | 
|--------- |----------- |---------------------------- |------- |----------:|----------:|------:|
| **Parse**    | **Job-GRXFHJ** | **\core_root_base\corerun.exe** | **-32768** | **10.177 ns** | **0.0038 ns** |  **1.00** | 
| Parse    | Job-ROCTGW | \core_root_diff\corerun.exe | -32768 | 10.240 ns | 0.0210 ns |  1.01 | 
|          |            |                             |        |           |           |       | 
| TryParse | Job-GRXFHJ | \core_root_base\corerun.exe | -32768 |  9.997 ns | 0.0431 ns |  1.00 | 
| TryParse | Job-ROCTGW | \core_root_diff\corerun.exe | -32768 | 10.105 ns | 0.2204 ns |  1.01 | 
|          |            |                             |        |           |           |       | 
| ToString | Job-GRXFHJ | \core_root_base\corerun.exe | -32768 |  8.387 ns | 0.2147 ns |  1.00 | 
| ToString | Job-ROCTGW | \core_root_diff\corerun.exe | -32768 |  8.990 ns | 0.2310 ns |  1.07 | 
|          |            |                             |        |           |           |       | 
| **Parse**    | **Job-GRXFHJ** | **\core_root_base\corerun.exe** | **0**      |  **6.139 ns** | **0.0212 ns** |  **1.00** | 
| Parse    | Job-ROCTGW | \core_root_diff\corerun.exe | 0      |  6.134 ns | 0.0250 ns |  1.00 | 
|          |            |                             |        |           |           |       | 
| TryParse | Job-GRXFHJ | \core_root_base\corerun.exe | 0      |  5.919 ns | 0.0198 ns |  1.00 | 
| TryParse | Job-ROCTGW | \core_root_diff\corerun.exe | 0      |  5.891 ns | 0.0022 ns |  1.00 | 
|          |            |                             |        |           |           |       | 
| ToString | Job-GRXFHJ | \core_root_base\corerun.exe | 0      |  1.877 ns | 0.0742 ns |  1.00 | 
| ToString | Job-ROCTGW | \core_root_diff\corerun.exe | 0      |  1.599 ns | 0.0941 ns |  0.85 | 
|          |            |                             |        |           |           |       | 
| **Parse**    | **Job-GRXFHJ** | **\core_root_base\corerun.exe** | **32767**  | **10.031 ns** | **0.0497 ns** |  **1.00** | 
| Parse    | Job-ROCTGW | \core_root_diff\corerun.exe | 32767  | 10.039 ns | 0.2156 ns |  1.00 | 
|          |            |                             |        |           |           |       | 
| TryParse | Job-GRXFHJ | \core_root_base\corerun.exe | 32767  | 10.088 ns | 0.2298 ns |  1.00 | 
| TryParse | Job-ROCTGW | \core_root_diff\corerun.exe | 32767  |  9.766 ns | 0.0296 ns |  0.97 | 
|          |            |                             |        |           |           |       | 
| ToString | Job-GRXFHJ | \core_root_base\corerun.exe | 32767  |  7.254 ns | 0.2024 ns |  1.00 | 
| ToString | Job-ROCTGW | \core_root_diff\corerun.exe | 32767  |  6.670 ns | 0.1949 ns |  0.92 | 
